bcmwl-kernel-source 6.20.155.1+bdcom-0ubuntu6 Error! Bad return status for module build [error: implicit declaration of function ‘create_proc_entry’]

Bug #1197586 reported by Marji Cermak on 2013-07-04
158
This bug affects 22 people
Affects Status Importance Assigned to Milestone
bcmwl (Ubuntu)
Medium
Unassigned

Bug Description

When installing kernel 3.10 on Ubuntu 13.04 64bit from http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-saucy/
I get this error:

Setting up linux-headers-3.10.0-031000 (3.10.0-031000.201306301935) ...
Setting up linux-headers-3.10.0-031000-generic (3.10.0-031000.201306301935) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.10.0-031000-generic /boot/vmlinuz-3.10.0-031000-generic
Error! Bad return status for module build on kernel: 3.10.0-031000-generic (x86_64)
Consult /var/lib/dkms/bcmwl/6.20.155.1+bdcom/build/make.log for more information.

Attaching /var/lib/dkms/bcmwl/6.20.155.1+bdcom/build/make.log

I'm happy to help / compile / patch.
Kind regards
Marji

ProblemType: Package
DistroRelease: Ubuntu 13.04
Package: bcmwl-kernel-source 6.20.155.1+bdcom-0ubuntu6
ProcVersionSignature: Ubuntu 3.8.0-25.37-generic 3.8.13
Uname: Linux 3.8.0-25-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.9.2-0ubuntu8.1
Architecture: amd64
DKMSKernelVersion: 3.10.0-031000-generic
Date: Thu Jul 4 10:29:16 2013
InstallationDate: Installed on 2013-02-03 (150 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MarkForUpload: True
PackageVersion: 6.20.155.1+bdcom-0ubuntu6
SourcePackage: bcmwl
Title: bcmwl-kernel-source 6.20.155.1+bdcom-0ubuntu6: bcmwl kernel module failed to build
UpgradeStatus: Upgraded to raring on 2013-06-07 (26 days ago)

Marji Cermak (cermakm) wrote :
summary: bcmwl-kernel-source 6.20.155.1+bdcom-0ubuntu6 Error! Bad return status
- for module build
+ for module build [error: implicit declaration of function
+ ‘create_proc_entry’]
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bcmwl (Ubuntu):
status: New → Confirmed
tags: removed: need-duplicate-check
Purinda Gunasekara (purinda) wrote :

I found the same bug while trying to install the latest kernel 3.11.0-031100-generic on Ubuntu 13.04 (x86_64) Mac mini late 2012 with a BCM4331 wireless chipset. The issue seems to be number of changes appeared in proc_fs.h in kernel-3.10.0 which moved from create_proc_entry() to proc_create(). The patch checks the current version of the kernel and uses the appropriate function calls required.

The attachment "Added support for kernel-3.9.0" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Download full text (3.3 KiB)

hello,
 i have this problem with 3.12.rc3, NOT problem with 3.11.X TO 13.12.rc2 BUT whit these versions my wireless NOT WORK. I have already create a ticket _https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1231647

cat /proc/version
Linux version 3.12.0-031200rc3-generic (apw@gomeisa) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201309291835 SMP Sun Sep 29 22:46:02 UTC 2013

Linux annalisa-HP-Mini-210-1000 3.12.0-031200rc3-generic #201309291835 SMP Sun Sep 29 22:46:02 UTC 2013 i686 i686 i686 GNU/Linux

02:00.0 Network controller: Broadcom Corporation BCM43225 802.11b/g/n (rev 01)
    Subsystem: Hewlett-Packard Company Device 145e
    Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast>TAbort- <TAbort- <MAbort->SERR- <PERR- INTx-
    Latency: 0, Cache Line Size: 64 bytes
    Interrupt: pin A routed to IRQ 10
    Region 0: Memory at 56000000 (64-bit, non-prefetchable) [size=16K]
    Capabilities: [40] Power Management version 3
        Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
        Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=2 PME-
    Capabilities: [58] Vendor Specific Information: Len=78 <?>
    Capabilities: [48] MSI: Enable- Count=1/1 Maskable- 64bit+
        Address: 0000000000000000 Data: 0000
    Capabilities: [d0] Express (v1) Endpoint, MSI 00
        DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <4us, L1 unlimited
            ExtTag+ AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
        DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
            RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
            MaxPayload 128 bytes, MaxReadReq 128 bytes
        DevSta: CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr+ TransPend-
        LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <4us, L1 <64us
            ClockPM+ Surprise- LLActRep+ BwNot-
        LnkCtl: ASPM L1 Enabled; RCB 64 bytes Disabled- Retrain- CommClk+
            ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
        LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive+ BWMgmt- ABWMgmt-
    Capabilities: [100 v1] Advanced Error Reporting
        UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
        UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
        UESvrt: DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
        CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
        CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
        AERCap: First Error Pointer: 14, GenCap+ CGenEn- ChkCap+ ChkEn-
    Capabilities: [13c v1] Virtual Channel
        Caps: LPEVC=0 RefClk=100ns PATEntryBits=1
        Arb: Fixed- WRR32- WRR64- WRR128-
        Ctrl: ArbSelect=Fixed
        Status: InProgress-
        VC0: Caps: PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
            Arb: Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
            Ctrl: Enable+ ID=0 ArbSelec...

Read more...

my make log file.

Wieke Kanters (kantersw) wrote :

I've been having the same issue with kernel 3.12.0-rc4. Decided to try perinda's patch, it seems to work, but only after I fixed an issue with whitespaces (I had to replace 4 spaces with a single tab).

Changed in bcmwl (Ubuntu):
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers